summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-01-12 19:21:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-01-12 19:21:43 +0000
commitc3911b35b87fb2c3d7fab8c3322ae2529ba84a7e (patch)
tree90445bd19aa67b3c4c7cd9e31f113a341430a40f /dev-python
parentca6c72bcf14c5cb03441c5b4ffec48d4fe152191 (diff)
downloadbaldeagleos-repo-c3911b35b87fb2c3d7fab8c3322ae2529ba84a7e.tar.gz
baldeagleos-repo-c3911b35b87fb2c3d7fab8c3322ae2529ba84a7e.tar.xz
baldeagleos-repo-c3911b35b87fb2c3d7fab8c3322ae2529ba84a7e.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/dulwich/dulwich-0.24.10.ebuild4
-rw-r--r--dev-python/fsspec/fsspec-2025.12.0.ebuild4
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.148.7.ebuild4
-rw-r--r--dev-python/hypothesis/hypothesis-6.150.1.ebuild91
-rw-r--r--dev-python/jupyterlab/Manifest1
-rw-r--r--dev-python/jupyterlab/jupyterlab-4.5.2.ebuild76
-rw-r--r--dev-python/nbclassic/nbclassic-1.3.1.ebuild3
-rw-r--r--dev-python/nbclassic/nbclassic-1.3.2.ebuild3
-rw-r--r--dev-python/nbclassic/nbclassic-1.3.3.ebuild3
-rw-r--r--dev-python/notebook/Manifest1
-rw-r--r--dev-python/notebook/notebook-7.5.2.ebuild63
-rw-r--r--dev-python/opentelemetry-api/opentelemetry-api-1.39.1.ebuild4
-rw-r--r--dev-python/opentelemetry-sdk/opentelemetry-sdk-1.39.1.ebuild4
-rw-r--r--dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.39.1.ebuild4
-rw-r--r--dev-python/phonenumbers/phonenumbers-9.0.20.ebuild4
-rw-r--r--dev-python/pyclipper/pyclipper-1.4.0.ebuild4
-rw-r--r--dev-python/pydyf/pydyf-0.12.1.ebuild4
-rw-r--r--dev-python/python-socks/python-socks-2.8.0.ebuild4
-rw-r--r--dev-python/sabctools/sabctools-9.1.0.ebuild4
-rw-r--r--dev-python/scikit-learn/scikit-learn-1.8.0.ebuild4
-rw-r--r--dev-python/trimesh/trimesh-4.10.1.ebuild4
-rw-r--r--dev-python/trove-classifiers/Manifest2
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2026.1.12.15.ebuild47
-rw-r--r--dev-python/vcrpy/vcrpy-8.1.0.ebuild4
-rw-r--r--dev-python/xvfbwrapper/xvfbwrapper-0.2.16.ebuild4
-rw-r--r--dev-python/ytmusicapi/ytmusicapi-1.11.3.ebuild4
27 files changed, 320 insertions, 35 deletions
diff --git a/dev-python/dulwich/dulwich-0.24.10.ebuild b/dev-python/dulwich/dulwich-0.24.10.ebuild
index c05e299ac518..65f3da21f8d9 100644
--- a/dev-python/dulwich/dulwich-0.24.10.ebuild
+++ b/dev-python/dulwich/dulwich-0.24.10.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -53,7 +53,7 @@ LICENSE+=" Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0"
LICENSE+=" )"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="~alpha amd64 ~arm arm64 ~loong ~ppc ~ppc64 ~riscv x86"
IUSE="doc examples +native-extensions test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/fsspec/fsspec-2025.12.0.ebuild b/dev-python/fsspec/fsspec-2025.12.0.ebuild
index ebe416c30466..2f92ac85b411 100644
--- a/dev-python/fsspec/fsspec-2025.12.0.ebuild
+++ b/dev-python/fsspec/fsspec-2025.12.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2020-2025 Gentoo Authors
+# Copyright 2020-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,7 +23,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
BDEPEND="
dev-python/hatch-vcs[${PYTHON_USEDEP}]
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 59ae8d30df71..a7b3bffe58da 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -8,3 +8,4 @@ DIST hypothesis-6.148.9.gh.tar.gz 9927137 BLAKE2B 04a5b5c8a120fec3926082b3607cc3
DIST hypothesis-6.149.0.gh.tar.gz 9932424 BLAKE2B eb7433e0b5ab92dafd7d5659d1141e1d64ce808144ce3bc2b0b1717e1f76afc2c6d2adb597ba66124fe5df4d9e5ec5f87eb9875f1f17272873ee02c985761777 SHA512 0d1d79664f695bb4e674cc65125aee5a8940754801ffbc2f97a95291835415b541a86d3157164f7a5284afbca2c2cfee5c958f242c4309e584445d4356c500a8
DIST hypothesis-6.149.1.gh.tar.gz 9932484 BLAKE2B 41bdda077c6cdd1e2b2f7650e8b4f5e125680ec3cea2979ad14dadcb553f36f0fd5970290d23aadd5bad64ba88c9dbb669946ca71021460c509e25bccdf394fa SHA512 78dfbdd8f48ca9c483b74fb13200b340b1791df977f79d8fc687cecc21a6c69dc37a6e0c184643f2eb13d5a49651e13e4ea2ed93976dcc4fa7ee135c2d4ee052
DIST hypothesis-6.150.0.gh.tar.gz 9932927 BLAKE2B b20631a108f8c79635be7ad57587f6a5f3020f653d087a26749cb9e0fe9e357942103a9e391d5fd16e1d771538009979f2ceb21fa421396219f33d45a6a75d10 SHA512 490eda1bbe74fc26365452ecf5641830cf9991a46ca877c2b823f8ab8cc05917fd2742b973ae2c91ceaefe8440b82961a5b14cb4381572fa8416877c784c3afa
+DIST hypothesis-6.150.1.gh.tar.gz 9878291 BLAKE2B 13a7ca820e8127fd86895cc203ef150046117ab8d9178a77b5c0844120ebc329e812d5d3d205ba03a9b96a5a7f8cc3ec4db17c04c4f459526e30fcc1659e2684 SHA512 bd5a8838fcc20cc78eae56df7ac380cfae4cffc5b8e8761f5ab4907cc98e83304221d967e1e583f1d42810da801e8083d919f7898c23d6d8389fef82a082d8a8
diff --git a/dev-python/hypothesis/hypothesis-6.148.7.ebuild b/dev-python/hypothesis/hypothesis-6.148.7.ebuild
index 3239d4fba180..1a631a4da6cb 100644
--- a/dev-python/hypothesis/hypothesis-6.148.7.ebuild
+++ b/dev-python/hypothesis/hypothesis-6.148.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -25,7 +25,7 @@ S="${WORKDIR}/${MY_P}/hypothesis-python"
LICENSE="MPL-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
IUSE="cli"
RDEPEND="
diff --git a/dev-python/hypothesis/hypothesis-6.150.1.ebuild b/dev-python/hypothesis/hypothesis-6.150.1.ebuild
new file mode 100644
index 000000000000..8a0d46501a31
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.150.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{11..13} )
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ dev-python/hypothesis-gentoo[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-xdist )
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+
+ local -x HYPOTHESIS_NO_PLUGINS=1
+ epytest -o filterwarnings= tests/{cover,pytest,quality}
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index 454b14773969..3cda067b2d96 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -3,3 +3,4 @@ DIST jupyterlab-4.4.10.tar.gz 22969303 BLAKE2B 478b424ff65b4f88ee849f0e87cebf30a
DIST jupyterlab-4.4.9.tar.gz 22966654 BLAKE2B 9861da955decd362e983d3f1652837d8164d79656ece03c702c06044cfb566a6edc3fce1fe25270075369ef6a80fde2275e30370472eb1f362b93e6ccc093b60 SHA512 06b47a3b917bfb8e809bc9fa1ae57dddab001aac8a17da454f56f8ce23777ec71b345b4c439a9cc690bea58132a95339445ba6c6fe0e8520dc4f575fdae0a754
DIST jupyterlab-4.5.0.tar.gz 23989880 BLAKE2B cef16c40f378421d5eaed820899ffdaa0c57f4bbf6ed730b31b2d0665afa998d2610375e06964b03f222504c09e2d1ed29ab26d953c88205bda0fb85dd49bd93 SHA512 403682e27065eb3512d3ade7579ca42551d36007af94b9e063672a52cf1e0202439888a42414363019ae9b359282466f05627f635a8140c40fc152a0123d3a68
DIST jupyterlab-4.5.1.tar.gz 23992251 BLAKE2B 9439eaa774cf6d4d849112746018f3cd3785f085fa707b734288d8aff55558bafdefc81c6fcf5b9311e8b548e691da7c138c175d60b47e2782f085aed9070627 SHA512 217d001cad9598566f2acd478959646ae1febf003396d18376a9ea4846932c055067070eb24ac8425aa16eb27612d31e1ed7c4a84d8bc4f05864e195e3094174
+DIST jupyterlab-4.5.2.tar.gz 23990371 BLAKE2B 631ec4e584289344354a783711fac49c4aba7876a616a2a7704f777c97f029ed1ece02740f1ee1ce1f70a9cb12f3317590986dac4715d23b846c9eb3c00cce64 SHA512 0ef5ddeb66d8ece0cce9f528fe0b213e7d1269f39b12790a5f4aa94ad93331fcb814a7f7e708dfbbbde3c6dd35b2907626d3817a432bf086a464d074c8647795
diff --git a/dev-python/jupyterlab/jupyterlab-4.5.2.ebuild b/dev-python/jupyterlab/jupyterlab-4.5.2.ebuild
new file mode 100644
index 000000000000..1701378bc41a
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.5.2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab/
+ https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/async-lru-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.28.0[${PYTHON_USEDEP}]
+ >=dev-python/ipykernel-6.5.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.0.3[${PYTHON_USEDEP}]
+ dev-python/jupyter-core[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.28.0[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-41.1.0[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ net-libs/nodejs[npm]
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-cache[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # These tests call npm and want internet
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+ jupyterlab/tests/test_announcements.py
+)
+
+EPYTEST_PLUGINS=( pytest-{console-scripts,jupyter,tornasync,timeout} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme dev-python/myst-parser
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
diff --git a/dev-python/nbclassic/nbclassic-1.3.1.ebuild b/dev-python/nbclassic/nbclassic-1.3.1.ebuild
index 683fad5ab2db..bd217eebb426 100644
--- a/dev-python/nbclassic/nbclassic-1.3.1.ebuild
+++ b/dev-python/nbclassic/nbclassic-1.3.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -27,6 +27,7 @@ RDEPEND="
"
BDEPEND="
+ dev-python/babel
dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
test? (
dev-python/nbval[${PYTHON_USEDEP}]
diff --git a/dev-python/nbclassic/nbclassic-1.3.2.ebuild b/dev-python/nbclassic/nbclassic-1.3.2.ebuild
index e85b9cc87be8..6802fd02c281 100644
--- a/dev-python/nbclassic/nbclassic-1.3.2.ebuild
+++ b/dev-python/nbclassic/nbclassic-1.3.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -27,6 +27,7 @@ RDEPEND="
"
BDEPEND="
+ dev-python/babel
dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
test? (
dev-python/nbval[${PYTHON_USEDEP}]
diff --git a/dev-python/nbclassic/nbclassic-1.3.3.ebuild b/dev-python/nbclassic/nbclassic-1.3.3.ebuild
index 37dd149aae93..22c65449a2de 100644
--- a/dev-python/nbclassic/nbclassic-1.3.3.ebuild
+++ b/dev-python/nbclassic/nbclassic-1.3.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -27,6 +27,7 @@ RDEPEND="
"
BDEPEND="
+ dev-python/babel
dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
test? (
dev-python/nbval[${PYTHON_USEDEP}]
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index ad02fdfdb503..d61ad5e1424e 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -2,3 +2,4 @@ DIST notebook-7.3.3.tar.gz 12758099 BLAKE2B e5e988a166b5124f95cc050a4d9402778108
DIST notebook-7.4.7.tar.gz 13937702 BLAKE2B 3c63eb57e0e439de7d08b319a1770767ae0bd32a2ff6caec4bf371a948f208eb03ac63ddf44f1d7f78ee898147696082e188ae53b096cb79dcb0d65feb77c95a SHA512 038046d891e7af6d64259e7f52e10be1bb5cd8d5928f44a8039eb916e48f8d4a926a55bb6ab5f5fd803baa32972636afd4498ec41911797e7bb1396bc8ca257f
DIST notebook-7.5.0.tar.gz 14052074 BLAKE2B 26cf6bd8d23ac20f00bb6fd8d2f6d4475cf708d42288cbc6fdb035b12370b1639f59694cac7fb06aa97f94c61bbb47602df741c3376dd4f99b7b179a48d0be1e SHA512 628e3bf9e54f58f8084675860b6e316e312dd4fc436280b2a642a08743ec9f23c2d16a808474eb8f07ba53ffcd9f14681216bc6c9c14ee42ac4a066657e4e85e
DIST notebook-7.5.1.tar.gz 14058696 BLAKE2B ae9a4695e6cb476f2fbd877df28c24c7658c3eebb58d7f8dc3c55f7bf7db9e10480dd0e7101b16d4fa2bd271600dce1b785658845a4cd3fedfbe9ccee1cf2681 SHA512 c6c54fce9625eeb298499b637a5db9b5d1e646498bc414b93ce0d2a6fa29bdf00a3b34475ab350a4b8c759fd7b37b3c598c0bd2fdc1f9f370dbc50b638f90a9d
+DIST notebook-7.5.2.tar.gz 14059605 BLAKE2B e88de3cefd7703edd8b37c03ad622b026985e8886209d5fe2f6290d5293f67c3b67b30dd4cb61a59db016e269ef3cef6c04c9d78e7afdbe6bdff4dbdace610a9 SHA512 c7b4d14bfd2f70886950bf54a226a0ea23fb441affcd08b4b6426a3e1d7520fad51b8a0fc7cb27e5c19df9a1e4e4c50297186727317c58bd83a9ab5c63083709
diff --git a/dev-python/notebook/notebook-7.5.2.ebuild b/dev-python/notebook/notebook-7.5.2.ebuild
new file mode 100644
index 000000000000..1061e0d11367
--- /dev/null
+++ b/dev-python/notebook/notebook-7.5.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/notebook/
+ https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.5.1[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.6[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.28.0[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ >=dev-python/hatch-jupyter-builder-0.5[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.5[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.6[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/nbval[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{console-scripts,jupyter,timeout,tornasync} )
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/opentelemetry-api/opentelemetry-api-1.39.1.ebuild b/dev-python/opentelemetry-api/opentelemetry-api-1.39.1.ebuild
index 9458397b663e..ab274b0da6dd 100644
--- a/dev-python/opentelemetry-api/opentelemetry-api-1.39.1.ebuild
+++ b/dev-python/opentelemetry-api/opentelemetry-api-1.39.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024-2025 Gentoo Authors
+# Copyright 2024-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,7 +23,7 @@ S="${WORKDIR}/${MY_P}/${PN}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 x86"
RDEPEND="
>=dev-python/importlib-metadata-6.0[${PYTHON_USEDEP}]
diff --git a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.39.1.ebuild b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.39.1.ebuild
index 9484c573b9eb..d18baeb212eb 100644
--- a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.39.1.ebuild
+++ b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.39.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024-2025 Gentoo Authors
+# Copyright 2024-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -24,7 +24,7 @@ S="${WORKDIR}/${MY_P}/${PN}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 x86"
RDEPEND="
~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
diff --git a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.39.1.ebuild b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.39.1.ebuild
index 4015971e8096..d8399c3bd079 100644
--- a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.39.1.ebuild
+++ b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.39.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024-2025 Gentoo Authors
+# Copyright 2024-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,7 +23,7 @@ S="${WORKDIR}/${MY_P}/${PN}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 x86"
RDEPEND="
~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
diff --git a/dev-python/phonenumbers/phonenumbers-9.0.20.ebuild b/dev-python/phonenumbers/phonenumbers-9.0.20.ebuild
index e2a1efa5ccaf..91c0cadcc284 100644
--- a/dev-python/phonenumbers/phonenumbers-9.0.20.ebuild
+++ b/dev-python/phonenumbers/phonenumbers-9.0.20.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}/python
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm64 ~ppc64 ~riscv x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pyclipper/pyclipper-1.4.0.ebuild b/dev-python/pyclipper/pyclipper-1.4.0.ebuild
index 3283b0a4ebd1..b86c09102998 100644
--- a/dev-python/pyclipper/pyclipper-1.4.0.ebuild
+++ b/dev-python/pyclipper/pyclipper-1.4.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,7 +23,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm arm64 ~loong ~ppc64 ~riscv x86"
BDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
diff --git a/dev-python/pydyf/pydyf-0.12.1.ebuild b/dev-python/pydyf/pydyf-0.12.1.ebuild
index 7b89ebf74e94..cc5dbe37ef6c 100644
--- a/dev-python/pydyf/pydyf-0.12.1.ebuild
+++ b/dev-python/pydyf/pydyf-0.12.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2021-2025 Gentoo Authors
+# Copyright 2021-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
BDEPEND="
test? (
diff --git a/dev-python/python-socks/python-socks-2.8.0.ebuild b/dev-python/python-socks/python-socks-2.8.0.ebuild
index 691ed68304cf..02d99488236e 100644
--- a/dev-python/python-socks/python-socks-2.8.0.ebuild
+++ b/dev-python/python-socks/python-socks-2.8.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2020-2025 Gentoo Authors
+# Copyright 2020-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
# curio is not packaged
# asyncio is the only backend we have, so dep on its deps unconditionally
diff --git a/dev-python/sabctools/sabctools-9.1.0.ebuild b/dev-python/sabctools/sabctools-9.1.0.ebuild
index d9816a9ddfe8..b8b78347c99a 100644
--- a/dev-python/sabctools/sabctools-9.1.0.ebuild
+++ b/dev-python/sabctools/sabctools-9.1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -25,7 +25,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="LGPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
BDEPEND="
test? (
diff --git a/dev-python/scikit-learn/scikit-learn-1.8.0.ebuild b/dev-python/scikit-learn/scikit-learn-1.8.0.ebuild
index da7a5fa7521f..cbc1d8aa48f0 100644
--- a/dev-python/scikit-learn/scikit-learn-1.8.0.ebuild
+++ b/dev-python/scikit-learn/scikit-learn-1.8.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2020-2025 Gentoo Authors
+# Copyright 2020-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,7 +23,7 @@ S=${WORKDIR}/${P/_}
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86 ~arm64-macos ~x64-macos"
+KEYWORDS="~amd64 ~arm64 ~loong ppc64 ~riscv ~x86 ~arm64-macos ~x64-macos"
IUSE="examples"
DEPEND="
diff --git a/dev-python/trimesh/trimesh-4.10.1.ebuild b/dev-python/trimesh/trimesh-4.10.1.ebuild
index cf6811ae02ec..1509fa02ec8e 100644
--- a/dev-python/trimesh/trimesh-4.10.1.ebuild
+++ b/dev-python/trimesh/trimesh-4.10.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 ~x86"
RDEPEND="
dev-python/charset-normalizer[${PYTHON_USEDEP}]
diff --git a/dev-python/trove-classifiers/Manifest b/dev-python/trove-classifiers/Manifest
index f3f62c6ddbde..7062127839c3 100644
--- a/dev-python/trove-classifiers/Manifest
+++ b/dev-python/trove-classifiers/Manifest
@@ -4,3 +4,5 @@ DIST trove_classifiers-2025.12.1.14.tar.gz 16985 BLAKE2B 0a47c36e8e688213f48e5a9
DIST trove_classifiers-2025.12.1.14.tar.gz.provenance 9306 BLAKE2B cd3a14e5ea484768785dd45c02112123fc6f1e8fbcc7f521875334c14e95da46eaf952311b79bf1fe6303c768bdb2ceffe7df954b0bf52ce7d789650dfd49f2d SHA512 d212f63e612c04856dfcd67cdbf60d4670e543f7643d11260463bc16b88d5053605b6437f126ab1b50f9e1ea4c0ec5ebb2a6e67a5097453cbfa7935b665408e0
DIST trove_classifiers-2025.9.11.17.tar.gz 16975 BLAKE2B a00df0a1dbb15b6f7cd5455def2eb3ae9f593d1c3cdf84a8b49ac66352833bcd1f1f539fadf899fd25cf9dac9194d2883db87d7559128408d4c6662bca45dc3f SHA512 652514278a81cf81e62b5062a665f719c2a861f33416aa29e6446a88e57ab5fd68888569556bbc1d97d0a1c713b122a02107358b0b5f51f7e6772e37a9306abf
DIST trove_classifiers-2025.9.11.17.tar.gz.provenance 9341 BLAKE2B d50ae31eae2b9197d2a965de684229f01ab15bffdaef1a9dd826d2189ad3ad2e18eec50a4c4beb943e185f3172e39cbccab65483893935949934a80818a1b32c SHA512 ebfad1a94a1bf2f7fa34ae7409c7b375cb5d727d693c0da0c60f06bac7fa2dc665ef80c9516f232ce0afe6863c4cd825019a9a10c5b2d32c171b480e18cfd265
+DIST trove_classifiers-2026.1.12.15.tar.gz 16978 BLAKE2B d334375ea33ad0286f85a9a50dead750db565227f55c8a060fa9c05b3a4bd71ee08ae7029edd3bf3a9b90fd45716bfdbd4a03fc9f35017c4fd49431fee4343e9 SHA512 80d6ca1be31907c4ebacfbd1eecf80002a45b659d995dfb567ae2061dc316c479d1d9d5a58b6f7da16c4810767a58972aad9eb7cfd6b215bda1b386236b545fc
+DIST trove_classifiers-2026.1.12.15.tar.gz.provenance 9486 BLAKE2B 50f113433641424df3571ba378b060c14a9bc84c0b69fbf42d6bcb12ce15180e820dba0f328209b4d6a441f1fab91b8103e753c3630867408abd2013ae957123 SHA512 dee0066fc4786e9dd70897c90cce7baef73be5ac8d10dc016c4cfcbaa81560e26557c9c3f4e79d5b50173650053443836b1f43685ab274a0e37e7cf88c90ec55
diff --git a/dev-python/trove-classifiers/trove-classifiers-2026.1.12.15.ebuild b/dev-python/trove-classifiers/trove-classifiers-2026.1.12.15.ebuild
new file mode 100644
index 000000000000..11d798d66c60
--- /dev/null
+++ b/dev-python/trove-classifiers/trove-classifiers-2026.1.12.15.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYPI_VERIFY_REPO=https://github.com/pypa/trove-classifiers
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
+HOMEPAGE="
+ https://github.com/pypa/trove-classifiers/
+ https://pypi.org/project/trove-classifiers/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease hatchling bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "trove-classifiers"
+ version = "${PV}"
+ description = "Canonical source for classifiers on PyPI (pypi.org)."
+
+ [project.scripts]
+ trove-classifiers = "trove_classifiers.__main__:cli"
+ EOF
+}
+
+python_test() {
+ epytest
+ "${EPYTHON}" -m tests.lib || die
+}
diff --git a/dev-python/vcrpy/vcrpy-8.1.0.ebuild b/dev-python/vcrpy/vcrpy-8.1.0.ebuild
index bd8b5de8caed..e46e07d09b27 100644
--- a/dev-python/vcrpy/vcrpy-8.1.0.ebuild
+++ b/dev-python/vcrpy/vcrpy-8.1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
RDEPEND="
dev-python/pyyaml[${PYTHON_USEDEP}]
diff --git a/dev-python/xvfbwrapper/xvfbwrapper-0.2.16.ebuild b/dev-python/xvfbwrapper/xvfbwrapper-0.2.16.ebuild
index 9068d1f6d108..2289fb8f8193 100644
--- a/dev-python/xvfbwrapper/xvfbwrapper-0.2.16.ebuild
+++ b/dev-python/xvfbwrapper/xvfbwrapper-0.2.16.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
RDEPEND="
x11-base/xorg-server[xvfb]
diff --git a/dev-python/ytmusicapi/ytmusicapi-1.11.3.ebuild b/dev-python/ytmusicapi/ytmusicapi-1.11.3.ebuild
index ab02be3ebeff..3d9b4225accf 100644
--- a/dev-python/ytmusicapi/ytmusicapi-1.11.3.ebuild
+++ b/dev-python/ytmusicapi/ytmusicapi-1.11.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -14,7 +14,7 @@ HOMEPAGE="https://ytmusicapi.readthedocs.io/
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
RESTRICT="test"
RDEPEND="